%define real_name Audio-CD
%define name perl-%{real_name}
%define version 0.04
%define release 4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to libcdaudio
Source:		http://www.cpan.org/authors/id/DOUGM/%{real_name}-%{version}.tar.bz2
Patch:		%{real_name}.patch.bz2
URL:		http://search.cpan.org/search?dist=Audio-CD
License:	GPL
Group:		Sound
Requires:	perl libcdaudio1
BuildRequires:	libcdaudio1-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This module was created for adding CDDB support to I<Xmms::shell> and
cd tray I<eject>.  I added methods for a good chunk of other
I<libcdaudio> functions while I was at it, but the docs and glue is
not complete.  I do not have interest in completing the interface and
docs, because xmms/Xmms::shell provides everything I need (at the
moment) for audio.  If you have an interesting reason for needing the
missing pieces, I'll probably be interested in adding them.

NOTE: This version has been altered by J.I. van Hemert
<jvhemert@cs.leidenuniv.nl> to suit the needs of Disc-Cover. Please
start with the original package if you wish to develop something.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{real_name}-%{version}
#Alterations introduced by J.I. van Hemert
%patch 

%build
perl Makefile.PL
%make

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_sitearch}/Audio/CD.pm
%{perl_sitearch}/auto/Audio/CD/CD.so
%{_libdir}/perl5/man/man3/Audio::CD.3.*

%changelog
* Thu Jan 10 2002 Franois Pons <fpons@mandrakesoft.com> 0.04-4mdk
- change package to match perl packages name.
- removed perllocal.pod from %%files.

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04-3mdk
- fix requires

* Tue Jun 19 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.04-2mdk
- rebuild

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04-1mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
- first mandrake release
